ZLAR2V(3f)

NAME
ZLAR2V - a vector of complex plane rotations with real cosines from both sides to a sequence of 2-by-2 complex Hermitian matrices,

SYNOPSIS

SUBROUTINE ZLAR2V(
    N, X, Y, Z, INCX, C, S, INCC )

INTEGER
    INCC, INCX, N

DOUBLE
    PRECISION C( * )

COMPLEX*16
    S( * ), X( * ), Y( * ), Z( * )

PURPOSE
ZLAR2V applies a vector of complex plane rotations with real cosines from both sides to a sequence of 2-by-2 complex Hermitian matrices, defined by the elements of the vectors x, y and z. For i = 1,2,...,n
   ( x(i) z(i) ) :=
   ( conjg(z(i)) y(i) )
     ( c(i) conjg(s(i)) ) ( x(i) z(i) ) ( c(i) -conjg(s(i)) )
     ( -s(i) c(i) ) ( conjg(z(i)) y(i) ) ( s(i) c(i) )

ARGUMENTS

N       (input) INTEGER
    The number of plane rotations to be applied.

X       (input/output) COMPLEX*16 array, dimension (1+(N-1)*INCX)
    The vector x; the elements of x are assumed to be real.

Y       (input/output) COMPLEX*16 array, dimension (1+(N-1)*INCX)
    The vector y; the elements of y are assumed to be real.

Z       (input/output) COMPLEX*16 array, dimension (1+(N-1)*INCX)
    The vector z.

INCX    (input) INTEGER
    The increment between elements of X, Y and Z. INCX > 0.

C       (input) DOUBLE PRECISION array, dimension (1+(N-1)*INCC)
    The cosines of the plane rotations.

S       (input) COMPLEX*16 array, dimension (1+(N-1)*INCC)
    The sines of the plane rotations.

INCC    (input) INTEGER
    The increment between elements of C and S. INCC > 0.